Index: inc/admin/lib.pager.php
===================================================================
--- inc/admin/lib.pager.php	(revision 3774)
+++ inc/admin/lib.pager.php	(revision 3874)
@@ -34,5 +34,5 @@
             parse_str($url['query'], $args);
         } else {
-            $args = array();
+            $args = [];
         }
         # Removing session information
@@ -56,8 +56,8 @@
                 if (is_array($v)) {
                     foreach ($v as $k2 => $v2) {
-                        $this->form_hidden .= form::hidden(array($k . '[]'), html::escapeHTML($v2));
+                        $this->form_hidden .= form::hidden([$k . '[]'], html::escapeHTML($v2));
                     }
                 } else {
-                    $this->form_hidden .= form::hidden(array($k), html::escapeHTML($v));
+                    $this->form_hidden .= form::hidden([$k], html::escapeHTML($v));
                 }
             }
@@ -116,5 +116,5 @@
             ($this->nb_pages > 1 ?
             sprintf('<li class="direct-access">' . __('Direct access page %s'),
-                form::number(array($this->var_page), 1, $this->nb_pages)) .
+                form::number([$this->var_page], 1, $this->nb_pages)) .
             '<input type="submit" value="' . __('ok') . '" class="reset" ' .
             'name="ok" />' . $this->form_hidden . '</li>' : '');
@@ -180,5 +180,5 @@
         } else {
             $pager   = new dcPager($page, $this->rs_count, $nb_per_page, 10);
-            $entries = array();
+            $entries = [];
             if (isset($_REQUEST['entries'])) {
                 foreach ($_REQUEST['entries'] as $v) {
@@ -193,8 +193,8 @@
                 $html_block .= '<caption>' . sprintf(__('List of %s entries matching the filter.'), $this->rs_count) . '</caption>';
             } else {
-                $nb_published   = $this->core->blog->getPosts(array('post_status' => 1), true)->f(0);
-                $nb_pending     = $this->core->blog->getPosts(array('post_status' => -2), true)->f(0);
-                $nb_programmed  = $this->core->blog->getPosts(array('post_status' => -1), true)->f(0);
-                $nb_unpublished = $this->core->blog->getPosts(array('post_status' => 0), true)->f(0);
+                $nb_published   = $this->core->blog->getPosts(['post_status' => 1], true)->f(0);
+                $nb_pending     = $this->core->blog->getPosts(['post_status' => -2], true)->f(0);
+                $nb_programmed  = $this->core->blog->getPosts(['post_status' => -1], true)->f(0);
+                $nb_unpublished = $this->core->blog->getPosts(['post_status' => 0], true)->f(0);
                 $html_block .= '<caption>' .
                 sprintf(__('List of entries (%s)'), $this->rs_count) .
@@ -202,23 +202,23 @@
                     sprintf(
                         __(', <a href="%s">published</a> (1)', ', <a href="%s">published</a> (%s)', $nb_published),
-                        $this->core->adminurl->get('admin.posts', array('status' => 1)),
+                        $this->core->adminurl->get('admin.posts', ['status' => 1]),
                         $nb_published) : '') .
                     ($nb_pending ?
                     sprintf(
                         __(', <a href="%s">pending</a> (1)', ', <a href="%s">pending</a> (%s)', $nb_pending),
-                        $this->core->adminurl->get('admin.posts', array('status' => -2)),
+                        $this->core->adminurl->get('admin.posts', ['status' => -2]),
                         $nb_pending) : '') .
                     ($nb_programmed ?
                     sprintf(__(', <a href="%s">programmed</a> (1)', ', <a href="%s">programmed</a> (%s)', $nb_programmed),
-                        $this->core->adminurl->get('admin.posts', array('status' => -1)),
+                        $this->core->adminurl->get('admin.posts', ['status' => -1]),
                         $nb_programmed) : '') .
                     ($nb_unpublished ?
                     sprintf(__(', <a href="%s">unpublished</a> (1)', ', <a href="%s">unpublished</a> (%s)', $nb_unpublished),
-                        $this->core->adminurl->get('admin.posts', array('status' => 0)),
+                        $this->core->adminurl->get('admin.posts', ['status' => 0]),
                         $nb_unpublished) : '') .
                     '</caption>';
             }
 
-            $cols = array(
+            $cols = [
                 'title'      => '<th colspan="2" class="first">' . __('Title') . '</th>',
                 'date'       => '<th scope="col">' . __('Date') . '</th>',
@@ -230,5 +230,5 @@
                 '" /><span class="hidden">' . __('Trackbacks') . '</span></th>',
                 'status'     => '<th scope="col">' . __('Status') . '</th>'
-            );
+            ];
             $cols = new ArrayObject($cols);
             $this->core->callBehavior('adminPostListHeader', $this->core, $this->rs, $cols);
@@ -261,5 +261,5 @@
     {
         if ($this->core->auth->check('categories', $this->core->blog->id)) {
-            $cat_link = '<a href="' . $this->core->adminurl->get('admin.category', array('id' => '%s'), '&amp;', true) . '">%s</a>';
+            $cat_link = '<a href="' . $this->core->adminurl->get('admin.category', ['id' => '%s'], '&amp;', true) . '">%s</a>';
         } else {
             $cat_link = '%2$s';
@@ -314,11 +314,11 @@
         ' id="p' . $this->rs->post_id . '">';
 
-        $cols = array(
+        $cols = [
             'check'      => '<td class="nowrap">' .
-            form::checkbox(array('entries[]'), $this->rs->post_id,
-                array(
+            form::checkbox(['entries[]'], $this->rs->post_id,
+                [
                     'checked'  => $checked,
                     'disabled' => !$this->rs->isEditable()
-                )) .
+                ]) .
             '</td>',
             'title'      => '<td class="maximal" scope="row"><a href="' .
@@ -331,5 +331,5 @@
             'trackbacks' => '<td class="nowrap count">' . $this->rs->nb_trackback . '</td>',
             'status'     => '<td class="nowrap status">' . $img_status . ' ' . $selected . ' ' . $protected . ' ' . $attach . '</td>'
-        );
+        ];
         $cols = new ArrayObject($cols);
         $this->core->callBehavior('adminPostListValue', $this->core, $this->rs, $cols);
@@ -358,10 +358,10 @@
             '<table><caption class="hidden">' . __('Entries list') . '</caption><tr>';
 
-            $cols = array(
+            $cols = [
                 'title'  => '<th scope="col">' . __('Title') . '</th>',
                 'date'   => '<th scope="col">' . __('Date') . '</th>',
                 'author' => '<th scope="col">' . __('Author') . '</th>',
                 'status' => '<th scope="col">' . __('Status') . '</th>'
-            );
+            ];
 
             $cols = new ArrayObject($cols);
@@ -435,5 +435,5 @@
         ' id="p' . $this->rs->post_id . '">';
 
-        $cols = array(
+        $cols = [
             'title'  => '<td scope="row" class="maximal"><a href="' .
             $this->core->getPostAdminURL($this->rs->post_type, $this->rs->post_id) . '" ' .
@@ -443,5 +443,5 @@
             'author' => '<td class="nowrap">' . html::escapeHTML($this->rs->user_id) . '</td>',
             'status' => '<td class="nowrap status">' . $img_status . ' ' . $selected . ' ' . $protected . ' ' . $attach . '</td>'
-        );
+        ];
 
         $cols = new ArrayObject($cols);
@@ -470,5 +470,5 @@
         } else {
             // Get antispam filters' name
-            $filters = array();
+            $filters = [];
             if ($spam) {
                 if (class_exists('dcAntispam')) {
@@ -483,5 +483,5 @@
             $pager = new dcPager($page, $this->rs_count, $nb_per_page, 10);
 
-            $comments = array();
+            $comments = [];
             if (isset($_REQUEST['comments'])) {
                 foreach ($_REQUEST['comments'] as $v) {
@@ -501,8 +501,8 @@
                     '</caption>';
             } else {
-                $nb_published   = $this->core->blog->getComments(array('comment_status' => 1), true)->f(0);
-                $nb_spam        = $this->core->blog->getComments(array('comment_status' => -2), true)->f(0);
-                $nb_pending     = $this->core->blog->getComments(array('comment_status' => -1), true)->f(0);
-                $nb_unpublished = $this->core->blog->getComments(array('comment_status' => 0), true)->f(0);
+                $nb_published   = $this->core->blog->getComments(['comment_status' => 1], true)->f(0);
+                $nb_spam        = $this->core->blog->getComments(['comment_status' => -2], true)->f(0);
+                $nb_pending     = $this->core->blog->getComments(['comment_status' => -1], true)->f(0);
+                $nb_unpublished = $this->core->blog->getComments(['comment_status' => 0], true)->f(0);
                 $html_block .= '<caption>' .
                 sprintf(__('List of comments and trackbacks (%s)'), $this->rs_count) .
@@ -510,28 +510,28 @@
                     sprintf(
                         __(', <a href="%s">published</a> (1)', ', <a href="%s">published</a> (%s)', $nb_published),
-                        $this->core->adminurl->get('admin.comments', array('status' => 1)),
+                        $this->core->adminurl->get('admin.comments', ['status' => 1]),
                         $nb_published) : '') .
                     ($nb_spam ?
                     sprintf(
                         __(', <a href="%s">spam</a> (1)', ', <a href="%s">spam</a> (%s)', $nb_spam),
-                        $this->core->adminurl->get('admin.comments', array('status' => -2)),
+                        $this->core->adminurl->get('admin.comments', ['status' => -2]),
                         $nb_spam) : '') .
                     ($nb_pending ?
                     sprintf(__(', <a href="%s">pending</a> (1)', ', <a href="%s">pending</a> (%s)', $nb_pending),
-                        $this->core->adminurl->get('admin.comments', array('status' => -1)),
+                        $this->core->adminurl->get('admin.comments', ['status' => -1]),
                         $nb_pending) : '') .
                     ($nb_unpublished ?
                     sprintf(__(', <a href="%s">unpublished</a> (1)', ', <a href="%s">unpublished</a> (%s)', $nb_unpublished),
-                        $this->core->adminurl->get('admin.comments', array('status' => 0)),
+                        $this->core->adminurl->get('admin.comments', ['status' => 0]),
                         $nb_unpublished) : '') .
                     '</caption>';
             }
 
-            $cols = array(
+            $cols = [
                 'type'   => '<th colspan="2" scope="col" abbr="comm" class="first">' . __('Type') . '</th>',
                 'author' => '<th scope="col">' . __('Author') . '</th>',
                 'date'   => '<th scope="col">' . __('Date') . '</th>',
                 'status' => '<th scope="col" class="txt-center">' . __('Status') . '</th>'
-            );
+            ];
             if ($spam) {
                 $cols['ip']          = '<th scope="col">' . __('IP') . '</th>';
@@ -565,10 +565,10 @@
     }
 
-    private function commentLine($checked = false, $spam = false, $filters = array())
+    private function commentLine($checked = false, $spam = false, $filters = [])
     {
         global $core, $author, $status, $sortby, $order, $nb_per_page;
 
         $author_url =
-        $this->core->adminurl->get('admin.comments', array(
+        $this->core->adminurl->get('admin.comments', [
             'n'      => $nb_per_page,
             'status' => $status,
@@ -576,9 +576,9 @@
             'order'  => $order,
             'author' => $this->rs->comment_author
-        ));
+        ]);
 
         $post_url = $this->core->getPostAdminURL($this->rs->post_type, $this->rs->post_id);
 
-        $comment_url = $this->core->adminurl->get('admin.comment', array('id' => $this->rs->comment_id));
+        $comment_url = $this->core->adminurl->get('admin.comment', ['id' => $this->rs->comment_id]);
 
         $comment_dt =
@@ -618,7 +618,7 @@
         ' id="c' . $this->rs->comment_id . '">';
 
-        $cols = array(
+        $cols = [
             'check'  => '<td class="nowrap">' .
-            form::checkbox(array('comments[]'), $this->rs->comment_id, $checked) .
+            form::checkbox(['comments[]'], $this->rs->comment_id, $checked) .
             '</td>',
             'type'   => '<td class="nowrap" abbr="' . __('Type and author') . '" scope="row">' .
@@ -630,5 +630,5 @@
             'date'   => '<td class="nowrap count">' . dt::dt2str(__('%Y-%m-%d %H:%M'), $this->rs->comment_dt) . '</td>',
             'status' => '<td class="nowrap status txt-center">' . $img_status . '</td>'
-        );
+        ];
 
         if ($spam) {
@@ -642,5 +642,5 @@
             }
             $cols['ip'] = '<td class="nowrap"><a href="' .
-            $core->adminurl->get("admin.comments", array('ip' => $this->rs->comment_ip)) . '">' .
+            $core->adminurl->get("admin.comments", ['ip' => $this->rs->comment_ip]) . '">' .
             $this->rs->comment_ip . '</a></td>';
             $cols['spam_filter'] = '<td class="nowrap">' . $filter_name . '</td>';
@@ -670,5 +670,5 @@
             }
         } else {
-            $blogs = array();
+            $blogs = [];
             if (isset($_REQUEST['blogs'])) {
                 foreach ($_REQUEST['blogs'] as $v) {
@@ -679,5 +679,5 @@
             $pager = new dcPager($page, $this->rs_count, $nb_per_page, 10);
 
-            $cols = array(
+            $cols = [
                 'blog'   => '<th' .
                 ($this->core->auth->isSuperAdmin() ? ' colspan="2"' : '') .
@@ -688,5 +688,5 @@
                 'upddt'  => '<th scope="col" class="nowrap">' . __('Last update') . '</th>',
                 'status' => '<th scope="col" class="txt-center">' . __('Status') . '</th>'
-            );
+            ];
 
             $cols = new ArrayObject($cols);
@@ -728,14 +728,14 @@
         $blog_id = html::escapeHTML($this->rs->blog_id);
 
-        $cols = array(
+        $cols = [
             'check'  =>
             ($this->core->auth->isSuperAdmin() ?
                 '<td class="nowrap">' .
-                form::checkbox(array('blogs[]'), $this->rs->blog_id, $checked) .
+                form::checkbox(['blogs[]'], $this->rs->blog_id, $checked) .
                 '</td>' : ''),
             'blog'   =>
             '<td class="nowrap">' .
             ($this->core->auth->isSuperAdmin() ?
-                '<a href="' . $this->core->adminurl->get("admin.blog", array('id' => $blog_id)) . '"  ' .
+                '<a href="' . $this->core->adminurl->get("admin.blog", ['id' => $blog_id]) . '"  ' .
                 'title="' . sprintf(__('Edit blog settings for %s'), $blog_id) . '">' .
                 '<img src="images/edit-mini.png" alt="' . __('Edit blog settings') . '" /> ' . $blog_id . '</a> ' :
@@ -744,5 +744,5 @@
             'name'   =>
             '<td class="maximal">' .
-            '<a href="' . $this->core->adminurl->get("admin.home", array('switchblog' => $this->rs->blog_id)) . '" ' .
+            '<a href="' . $this->core->adminurl->get("admin.home", ['switchblog' => $this->rs->blog_id]) . '" ' .
             'title="' . sprintf(__('Switch to blog %s'), $this->rs->blog_id) . '">' .
             html::escapeHTML($this->rs->blog_name) . '</a>' .
@@ -769,5 +769,5 @@
             ) .
             '</td>'
-        );
+        ];
 
         $cols = new ArrayObject($cols);
@@ -804,5 +804,5 @@
             }
 
-            $cols = array(
+            $cols = [
                 'username'     => '<th colspan="2" scope="col" class="first">' . __('Username') . '</th>',
                 'first_name'   => '<th scope="col">' . __('First Name') . '</th>',
@@ -810,5 +810,5 @@
                 'display_name' => '<th scope="col">' . __('Display name') . '</th>',
                 'entries'      => '<th scope="col" class="nowrap">' . __('Entries (all types)') . '</th>'
-            );
+            ];
 
             $cols = new ArrayObject($cols);
@@ -852,9 +852,9 @@
         $res = '<tr class="line">';
 
-        $cols = array(
-            'check'        => '<td class="nowrap">' . form::hidden(array('nb_post[]'), (integer) $this->rs->nb_post) .
-            form::checkbox(array('users[]'), $this->rs->user_id) . '</td>',
+        $cols = [
+            'check'        => '<td class="nowrap">' . form::hidden(['nb_post[]'], (integer) $this->rs->nb_post) .
+            form::checkbox(['users[]'], $this->rs->user_id) . '</td>',
             'username'     => '<td class="maximal" scope="row"><a href="' .
-            $this->core->adminurl->get('admin.user', array('id' => $this->rs->user_id)) . '">' .
+            $this->core->adminurl->get('admin.user', ['id' => $this->rs->user_id]) . '">' .
             $this->rs->user_id . '</a>&nbsp;' . $img_status . '</td>',
             'first_name'   => '<td class="nowrap">' . html::escapeHTML($this->rs->user_firstname) . '</td>',
@@ -862,7 +862,7 @@
             'display_name' => '<td class="nowrap">' . html::escapeHTML($this->rs->user_displayname) . '</td>',
             'entries'      => '<td class="nowrap count"><a href="' .
-            $this->core->adminurl->get('admin.posts', array('user_id' => $this->rs->user_id)) . '">' .
+            $this->core->adminurl->get('admin.posts', ['user_id' => $this->rs->user_id]) . '">' .
             $this->rs->nb_post . '</a></td>'
-        );
+        ];
 
         $cols = new ArrayObject($cols);
Index: inc/admin/prepend.php
===================================================================
--- inc/admin/prepend.php	(revision 3731)
+++ inc/admin/prepend.php	(revision 3874)
@@ -51,5 +51,5 @@
                 $icon = path::real(dirname(__FILE__) . '/../../admin/images/iconset/' . $user_ui_iconset . '/' . $m[1], false);
                 if ($icon !== false) {
-                    $allow_types = array('png', 'jpg', 'jpeg', 'gif');
+                    $allow_types = ['png', 'jpg', 'jpeg', 'gif'];
                     if (is_file($icon) && is_readable($icon) && in_array(files::getExtension($icon), $allow_types)) {
                         return DC_ADMIN_URL . 'images/iconset/' . $user_ui_iconset . '/' . $m[1];
@@ -196,6 +196,6 @@
 $core->adminurl->register('admin.update', 'update.php');
 
-$core->adminurl->registercopy('load.plugin.file', 'admin.home', array('pf' => 'dummy.css'));
-$core->adminurl->registercopy('load.var.file', 'admin.home', array('vf' => 'dummy.json'));
+$core->adminurl->registercopy('load.plugin.file', 'admin.home', ['pf' => 'dummy.css']);
+$core->adminurl->registercopy('load.var.file', 'admin.home', ['vf' => 'dummy.json']);
 
 if ($core->auth->userID() && $core->blog !== null) {
Index: inc/core/class.dc.auth.php
===================================================================
--- inc/core/class.dc.auth.php	(revision 3731)
+++ inc/core/class.dc.auth.php	(revision 3874)
@@ -30,7 +30,7 @@
     protected $user_id;
     /** @var array Array with user information */
-    protected $user_info = array();
+    protected $user_info = [];
     /** @var array Array with user options */
-    protected $user_options = array();
+    protected $user_options = [];
     /** @var boolean User must change his password after login */
     protected $user_change_pwd;
@@ -38,9 +38,9 @@
     protected $user_admin;
     /** @var array Permissions for each blog */
-    protected $permissions = array();
+    protected $permissions = [];
     /** @var boolean User can change its password */
     protected $allow_pass_change = true;
     /** @var array List of blogs on which the user has permissions */
-    protected $blogs = array();
+    protected $blogs = [];
     /** @var integer Count of user blogs */
     public $blog_count = null;
@@ -65,5 +65,5 @@
         $this->perm_table = $core->prefix . 'permissions';
 
-        $this->perm_types = array(
+        $this->perm_types = [
             'admin'        => __('administrator'),
             'usage'        => __('manage their own entries and comments'),
@@ -74,5 +74,5 @@
             'media'        => __('manage their own media items'),
             'media_admin'  => __('manage all media items')
-        );
+        ];
     }
 
@@ -375,12 +375,9 @@
      * @return mixed
      */
-    public function sudo($f)
+    public function sudo($f, ...$args)
     {
         if (!is_callable($f)) {
             throw new Exception($f . ' function doest not exist');
         }
-
-        $args = func_get_args();
-        array_shift($args);
 
         if ($this->user_admin) {
@@ -425,5 +422,5 @@
             $rs = $this->con->select($strReq);
 
-            $this->blogs[$blog_id] = $rs->isEmpty() ? false : array('admin' => true);
+            $this->blogs[$blog_id] = $rs->isEmpty() ? false : ['admin' => true];
 
             return $this->blogs[$blog_id];
@@ -445,5 +442,5 @@
     {
         if ($this->blog_count === null) {
-            $this->blog_count = $this->core->getBlogs(array(), true)->f(0);
+            $this->blog_count = $this->core->getBlogs([], true)->f(0);
         }
 
@@ -544,5 +541,5 @@
         $level = preg_replace('/\|$/', '', $level);
 
-        $res = array();
+        $res = [];
         foreach (explode('|', $level) as $v) {
             $res[$v] = true;
@@ -637,5 +634,5 @@
         $cur->update("WHERE user_recover_key = '" . $this->con->escape($recover_key) . "'");
 
-        return array('user_email' => $rs->user_email, 'user_id' => $rs->user_id, 'new_pass' => $new_pass);
+        return ['user_email' => $rs->user_email, 'user_id' => $rs->user_id, 'new_pass' => $new_pass];
     }
     //@}
